Skip site navigation (1) Skip section navigation (2)

Re: New flex warnings

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Peter Eisentraut <peter_e(at)gmx(dot)net>
Cc: pgsql-patches(at)postgresql(dot)org
Subject: Re: New flex warnings
Date: 2008-05-09 15:12:32
Message-ID: 14275.1210345952@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-patches
Peter Eisentraut <peter_e(at)gmx(dot)net> writes:
> With GCC 4.3, I get warnings from every flex scanner that 'input' is defined 
> but not used.  This can be solved by adding %option noinput.  I tested this 
> option with a current flex and with the old 2.5.4a; both accept it.  See 
> attached patch.  Does anyone see problems with this?

Hm, I wonder why we didn't see those before ... [ looks at code... ]
Oh: yyinput() recurses internally, so even though it's not called
from anywhere else, older gcc's don't realize it's really unreferenced.

I confirm 2.5.4 has the noinput option.  Patch seems ok from here,

			regards, tom lane

In response to

pgsql-patches by date

Next:From: Tom LaneDate: 2008-05-09 15:18:44
Subject: Re: Verified fix for Bug 4137
Previous:From: Simon RiggsDate: 2008-05-09 14:52:16
Subject: Re: Verified fix for Bug 4137

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group